gcj-5-jre-lib_5.4.0-6ubuntu1~16.04.12_all.deb


Advertisement

Description

gcj-5-jre-lib - Java runtime library for use with gcj (jar files)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Main amd64
Package filename gcj-5-jre-lib_5.4.0-6ubuntu1~16.04.12_all.deb
Package name gcj-5-jre-lib
Package version 5.4.0
Package release 6ubuntu1~16.04.12
Package architecture all
Package type deb
Category java
Homepage http://gcc.gnu.org/
License -
Maintainer Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 9.87 MB
Installed size 10.92 MB
This is the jar file that goes along with the gcj front end to gcc.

Alternatives

Package Version Architecture Repository
gcj-5-jre-lib_5.4.0-6ubuntu1~16.04.12_all.deb 5.4.0 all Ubuntu Updates Main
gcj-5-jre-lib_5.3.1-14ubuntu2_all.deb 5.3.1 all Ubuntu Main
gcj-5-jre-lib_5.3.1-14ubuntu2_all.deb 5.3.1 all Ubuntu Main
gcj-5-jre-lib - - -

Requires

Name Value
gcc-5-base >= 5.2.1-23
libgcj16 >= 5.2.1-23

Download

Type URL
Mirror archive.ubuntu.com
Binary Package gcj-5-jre-lib_5.4.0-6ubuntu1~16.04.12_all.deb
Source Package gcc-5

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gcj-5-jre-lib deb package:
    # sudo apt-get install gcj-5-jre-lib

Files

Path
/usr/share/doc/gcj-5-jre-lib
/usr/share/java/libgcj-5.4.0.jar
/usr/share/java/libgcj-5.jar
/usr/share/java/libgcj-tools-5.4.0.jar
/usr/share/java/libgcj-tools-5.jar

Changelog

2019-09-18 - Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1~16.04.12) xenial; urgency=medium
* No change rebuild against security.
2018-08-01 - Dimitri John Ledkov <xnox@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1~16.04.11) xenial; urgency=medium
* Backport upstream revision r235876 to correct PIC_OFFSET_TABLE_REGNUM
on ppc64el.
LP: #1783252
2018-06-18 - Matthias Klose <doko@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1~16.04.10) xenial-security; urgency=medium
* Backport upstream revision r257489 (Spectre #2 mitigation for s390x).
LP: #1759152.
2018-02-05 - Steve Beattie <sbeattie@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1~16.04.9) xenial-security; urgency=medium
* Revert retpoline changes of ppc64el as per the recommendation from
Bill Schmidt of IBM.
- ppc-add-mspeculate-indirect-jumps: drop.
2018-01-26 - Steve Beattie <sbeattie@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1~16.04.8) xenial-security; urgency=medium
* Add retpoline support for x86 via adding -mindirect-branch=,
-mindirect-branch-register, and -mfunction-return= support
- 0001-i386-Move-struct-ix86_frame-to-machine_function.diff,
0002-i386-Use-reference-of-struct-ix86_frame-to-avoid-cop.diff,
0003-i386-More-use-reference-of-struct-ix86_frame-to-avoi.diff,
0004-i386-Don-t-use-reference-of-struct-ix86_frame.diff,
0005-x86-Add-mindirect-branch.diff,
0006-x86-Add-mfunction-return.diff,
0007-x86-Add-mindirect-branch-register.diff,
0008-x86-Add-V-register-operand-modifier.diff,
0009-x86-Disallow-mindirect-branch-mfunction-return-with-.patch:
implement -mindirect-branch=<keep|thunk|thunk-inline|thunk-extern>
with attribute support, -mindirect-branch-register, and
-mfunction-return=<thunk|thunk-inline|thunk-extern> with
attribute support. Thanks to H.J. Lu.
* Add retpoline support for ppc64 via adding
-mspeculate-indirect-jumps support
- ppc-add-mspeculate-indirect-jumps: implement
-mspeculate-indirect-jumps. Thanks to Bill Schmidt.
2018-01-16 - dann frazier <dannf@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1~16.04.6) xenial; urgency=medium
* Add thunderx2 support. LP: #1727540.
2017-08-23 - Matthias Klose <doko@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1~16.04.5) xenial-proposed; urgency=medium
* SRU
* Fix PR target/77267 (x86), taken from the trunk. LP: #1623418.
* Fix hangs w/ asan binaries on arm64 (Dann Frazier). LP: #1709727.
* Linaro branch only: Fix PR target/79041, aarch64 backend emitting
R_AARCH64_ADR_PREL_PG_HI21 relocation despite -mpc-relative-literal-loads
option being used (Dan Frazier). LP: #1695093.
2016-11-02 - Matthias Klose <doko@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1~16.04.4) xenial-security; urgency=medium
* SRU
- Fix PR target/72863, redundant swaps when using vec_vsx_ld/st,
taken from the gcc-5 branch. LP: #1638055.
- Fix PR rtl-optimization/71709, taken from the gcc-5 branch. LP: #1628207.
2016-08-04 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1~16.04.2) xenial-security; urgency=medium
* No change rebuild for the security pocket.
2016-07-04 - Matthias Klose <doko@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1~16.04.1) xenial-proposed; urgency=medium
* SRU: LP: #1586673. Backport GCC 5.4 to 16.04 LTS.
* Revert a libstdc++ header reorg done after the 5.3.0 release.
* Add AArch64 Vulcan cpu support, backport from trunk. LP: #1594452.
* Revert a libstdc++ header reorg done after the 5.3.0 release (only for
OS releases including a GCC 5 at release time).
* Fixes C++ ICE. LP: #1593608.

See Also

Package Description
gcj-5-jre_5.4.0-6ubuntu1~16.04.12_amd64.deb Java runtime environment using GIJ/Classpath
gcj-5_5.4.0-6ubuntu1~16.04.12_amd64.deb GCJ byte code and native compiler for Java(TM)
gdb-doc_7.11.1-0ubuntu1~16.5_all.deb The GNU Debugger Documentation
gdb_7.11.1-0ubuntu1~16.5_amd64.deb GNU Debugger
gdbserver_7.11.1-0ubuntu1~16.5_amd64.deb GNU Debugger (remote server)
geoclue-ubuntu-geoip_1.0.2+14.04.20131125-0ubuntu2.16.04.1_amd64.deb Provide positioning for GeoClue via Ubuntu GeoIP services
gettext-base_0.19.7-2ubuntu3.1_amd64.deb GNU Internationalization utilities for the base system
gettext-doc_0.19.7-2ubuntu3.1_all.deb Documentation for GNU gettext
gettext-el_0.19.7-2ubuntu3.1_all.deb Emacs po-mode for editing gettext .po files
gettext_0.19.7-2ubuntu3.1_amd64.deb GNU Internationalization utilities
gfortran-5-doc_5.4.0-6ubuntu1~16.04.12_all.deb Documentation for the GNU Fortran compiler (gfortran)
gfortran-5-multilib_5.4.0-6ubuntu1~16.04.12_amd64.deb GNU Fortran compiler (multilib support)
gfortran-5_5.4.0-6ubuntu1~16.04.12_amd64.deb GNU Fortran compiler
ghostscript-doc_9.26~dfsg+0-0ubuntu0.16.04.12_all.deb interpreter for the PostScript language and for PDF - Documentation
ghostscript-x_9.26~dfsg+0-0ubuntu0.16.04.12_amd64.deb interpreter for the PostScript language and for PDF - X11 support
Advertisement
Advertisement